package com.ruoyi.mall.domain.Vo;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.mall.domain.BusinessBulletin;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;
import java.util.List;

/**
 * 公告对象 tb_business_bulletin
 * 
 * @author ruoyi
 * @date 2023-10-25
 */
public class BusinessBulletinVo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 公告编号 */
//    @Excel(name = "公告编号")
    private Long bulletinId;

    /** 公告标题 */
//    @Excel(name = "公告标题")
    private String title;

    /** 公告内容 */
//    @Excel(name = "公告内容")
    private String content;

    /** 热度 */
//    @Excel(name = "热度")
    private Long hot;


    private String tag;


    public Long getBulletinId() {
        return bulletinId;
    }

    public void setBulletinId(Long bulletinId) {
        this.bulletinId = bulletinId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Long getHot() {
        return hot;
    }

    public void setHot(Long hot) {
        this.hot = hot;
    }






    public String getTag() {
        return tag;
    }

    public void setTag(String tag) {
        this.tag = tag;
    }

    @Override
    public String toString() {
        return "BusinessBulletinVo{" +
                "bulletinId=" + bulletinId +
                ", title='" + title + '\'' +
                ", content='" + content + '\'' +
                ", hot=" + hot +
                ", tag='" + tag + '\'' +
                '}';
    }
}
